libmspub::Shadow Struct Reference documentation

libmspub::Shadow Struct Reference

`#include <Shadow.h>`

## Public Member Functions
| Shadow (ShadowType type, int offsetXInEmu, int offsetYInEmu, int secondOffsetXInEmu, int secondOffsetYInEmu, double originXInEmu, double originYInEmu, double opacity, ColorReference color, ColorReference colorH)

## Public Attributes
ShadowType | m_type
int | m_offsetXInEmu
int | m_offsetYInEmu
int | m_SecondOffsetXInEmu
int | m_SecondOffsetYInEmu
double | m_originXInEmu
double | m_originYInEmu
double | m_opacity
ColorReference | m_color
ColorReference | m_highColor

## Constructor & Destructor Documentation

## ◆ Shadow()

libmspub::Shadow::Shadow | ( | ShadowType | type,
|  | int | offsetXInEmu,
|  | int | offsetYInEmu,
|  | int | secondOffsetXInEmu,
|  | int | secondOffsetYInEmu,
|  | double | originXInEmu,
|  | double | originYInEmu,
|  | double | opacity,
|  | ColorReference | color,
|  | ColorReference | colorH )
| inline

## Member Data Documentation

## ◆ m_color

ColorReference libmspub::Shadow::m_color

Referenced by libmspub::MSPUBCollector::paintShape(), and Shadow().

## ◆ m_highColor

ColorReference libmspub::Shadow::m_highColor

Referenced by Shadow().

## ◆ m_offsetXInEmu

int libmspub::Shadow::m_offsetXInEmu

Referenced by libmspub::MSPUBCollector::paintShape(), and Shadow().

## ◆ m_offsetYInEmu

int libmspub::Shadow::m_offsetYInEmu

Referenced by libmspub::MSPUBCollector::paintShape(), and Shadow().

## ◆ m_opacity

double libmspub::Shadow::m_opacity

Referenced by libmspub::MSPUBCollector::paintShape(), and Shadow().

## ◆ m_originXInEmu

double libmspub::Shadow::m_originXInEmu

Referenced by Shadow().

## ◆ m_originYInEmu

double libmspub::Shadow::m_originYInEmu

Referenced by Shadow().

## ◆ m_SecondOffsetXInEmu

int libmspub::Shadow::m_SecondOffsetXInEmu

Referenced by Shadow().

## ◆ m_SecondOffsetYInEmu

int libmspub::Shadow::m_SecondOffsetYInEmu

Referenced by Shadow().

## ◆ m_type

ShadowType libmspub::Shadow::m_type

Referenced by libmspub::needsEmulation(), and Shadow().

The documentation for this struct was generated from the following file:

- Shadow.h